Bug 854947 - [abrt] gimp-2.8.0-1.fc17: Process /usr/bin/gimp-2.8 was killed by signal 11 (SIGSEGV)
[abrt] gimp-2.8.0-1.fc17: Process /usr/bin/gimp-2.8 was killed by signal 11 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:0d4733b586a3c7db5f3cd8e10bc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 07:15 EDT by Sandro Mathys
Modified: 2013-08-01 01:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.76 KB, text/plain)
2012-09-06 07:15 EDT, Sandro Mathys
no flags Details
File: maps (211.47 KB, text/plain)
2012-09-06 07:15 EDT, Sandro Mathys
no flags Details
File: backtrace (29.06 KB, text/plain)
2012-09-06 07:16 EDT, Sandro Mathys
no flags Details

  None (edit)
Description Sandro Mathys 2012-09-06 07:15:46 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gimp-2.8 /home/red_trela/Pictures/DSLR/IMG_5100.jpg
crash_function: IA__gdk_x11_drawable_get_xdisplay
executable:     /usr/bin/gimp-2.8
kernel:         3.5.2-3.fc17.x86_64
pid:            1762
pwd:            /home/red_trela/Documents
remote_result:  NOTFOUND
time:           Thu 06 Sep 2012 01:11:02 PM CEST
uid:            1000
username:       red_trela

backtrace:      Text file, 29760 bytes
dso_list:       Text file, 8966 bytes
maps:           Text file, 216547 bytes

build_ids:
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:b262a361763f91cca5e5826440bebaa4bc8cfebe
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:8c82bf8c637cca50c18798f2e93f195b4ab0ce78
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:07925081fe15ff3427a4eaa12bc47cf2b0fa7233
:ae443e3506ed7bc12b1adfc79e73da33725cc241
:30dcd9b8ed918d4a36d11e3822dd23882c9ed403
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:75cde31c2277e9d7622007951c61110ce70e0650
:fc496e1f6fad45b22782332ccd3d41cfb17fdb66
:309abacd5ecd050e80576c6a94f309999aafae27
:fd952473da735f9c0f50de231aa3d84d7855ef57
:b277af36744327e3d58eae76bcdaadcca71a28c6
:439d7f8b0a1203edcb16f8a355b33af73aca576b
:999c6a40954a490f10496b3a9aac8346fbfd7e92
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:2b8776fb49966e9264207e9acb4bcb3a5fc21e3c
:e4a82534c92ed983f11238448f680bfbf379a86c
:47e9c30fbf1ceba57da3125298f5b6f16ff27bfa
:cc674b499a7c6bb57b082e82875eb092dea5a046
:24103afe277bcb0a213416b3f4156630fd398321
:8debe4568c941cf553d60c38ee89e2c5275d003a
:f3d061fed5acb5641309f0fbb52b228723b850b6
:f4c064df8745dff15466d705fb049138f9a5c949
:3e15b85f52ae4725228209add374f1bf45a404ef
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:84ab9ba5e99929be54f3e866b4711951dd609b2e
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:23d1440088fed14354e355ac2cbdba1f38fcf1a3
:588ae7cfb716316f54d1b4fd3878a034eefad073
:516204cfc31148538d56b21e2f1b945ed50127d4
:b21a906e3576fa97597a721d955e42063a8569fe
:b21f30dec84a9fd26329ba28f8c09e37bffbffd9
:c4ec0971b2dcee71aaf8374975474054245fea00
:2f721de911d84ad80f7b078c1c76228e9638e4ed
:620e023eead4fb71ea351dd9e72127b5052a432d
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:a966d087bd452eee811ee7d2f4b564d30c11db5a
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:567274f50c868c4079c57085e642176f06b8ec1c
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:da0831cf9c551543fbc94e797a102a57a30e790f
:42147224a191a382ea9902023e3816f4caed1ef0
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:648ec22fc1014c2997277d04192463295520c336
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:1a25eefe05ad238ff2f3c53d6811c633ac87c3eb
:51541a56cd9a38f97340ce7300c8cf724a67b919
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d804f8ee47797da9213a92f00cd095ecada8d79f
:e03c3b34aea57f34b2ab8bc259fe203d1fd9aa49
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:67792c148d2b8f13f6732c9367e926c26d7376c5
:4b044fe80e4c1b69986abc4b160c303048005d4e
:ecad3f852f36e91716e85a1cfcc410e83db0976b
:09c6b63314aeab4e3e48c995d1ec338af3c96f4c
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:a005847a3d4e9fd30ba42de48c500a3c19c48ec4
:8f7c190397d7c1f617e66f18f759714662b60367
:5a6c563ddb82460514d0bef2c3765cdfed62b9e3
:af555d6861942219baf9f10980a3aa138e7ba8c7
:d3a4405c4c49d2e94597c1f2e4a25f967b21475a
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:247132297f287226a24c12e683292f5c94013066
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/red_trela/1

core_backtrace:
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x5cd5f gdk_x11_drawable_get_xdisplay libgdk-x11-2.0.so.0 -
:b21f30dec84a9fd26329ba28f8c09e37bffbffd9 0x7d77 scim_bridge_key_event_gdk_to_bridge im-scim-bridge.so -
:b21f30dec84a9fd26329ba28f8c09e37bffbffd9 0x7483 - im-scim-bridge.so -
:b21f30dec84a9fd26329ba28f8c09e37bffbffd9 0x7599 - im-scim-bridge.so -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bba9 gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0xb8e98 app_run [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0xb8946 main [pie] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1288
:HOSTNAME=tiphares.ethz.ch
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/red_trela/.gtkrc-2.0:/home/red_trela/.gtkrc-2.0-kde4:/home/red_trela/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=SCIM
:USER=red_trela
:SSH_AUTH_SOCK=/tmp/ssh-ftwKbhmI1183/agent.1183
:MAIL=/var/spool/mail/red_trela
:DESKTOP_SESSION=default
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/red_trela/.local/bin:/home/red_trela/bin
:QT_IM_MODULE=scim-bridge
:PWD=/home/red_trela
:XMODIFIERS=@im=SCIM
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/red_trela
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Adwaita
:LOGNAME=red_trela
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ctLJaLFMMX,guid=bc1666181239a6f69ce9514f00000018
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/red_trela
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/red_trela/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=scim-bridge
:XAUTHORITY=/tmp/kde-red_trela/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1364,unix/unix:/tmp/.ICE-unix/1364
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/red_trela/.gtkrc:/home/red_trela/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=tiphares.ethz.ch;1346927270;923662;30333_TIME848028260

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127095               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127095               127095               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[22140]
:pos:	0
:flags:	00
:1:/home/red_trela/.xsession-errors
:pos:	195130
:flags:	0100001
:2:/home/red_trela/.xsession-errors
:pos:	195130
:flags:	0100001
:3:socket:[7901589]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[7902627]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:pipe:[7910957]
:pos:	0
:flags:	00
:8:/home/red_trela/.gimp-2.8/gimpswap.1762
:pos:	777429424
:flags:	0100002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:socket:[7906853]
:pos:	0
:flags:	04002
:11:pipe:[7910958]
:pos:	0
:flags:	01

var_log_messages:
:Sep  3 09:14:36 tiphares yum[1294]: Installed: 2:gimp-2.8.2-1.fc17.x86_64
:Sep  4 12:49:09 tiphares yum[28616]: Installed: 2:gimp-2.8.2-1.fc17.x86_64
:Sep  4 17:04:35 tiphares yum[26058]: Installed: 2:gimp-2.8.2-1.fc17.x86_64
:Sep  6 13:11:02 tiphares kernel: [848218.474128] gimp-2.8[1762]: segfault at 30 ip 00007fa0e4276d5f sp 00007fff03cd9820 error 4 in libgdk-x11-2.0.so.0.2400.11[7fa0e421a000+ba000]
:Sep  6 13:11:08 tiphares abrt[2842]: Saved core dump of pid 1762 (/usr/bin/gimp-2.8) to /var/spool/abrt/ccpp-2012-09-06-13:11:02-1762 (1208201216 bytes)
Comment 1 Sandro Mathys 2012-09-06 07:15:55 EDT
Created attachment 610262 [details]
File: dso_list
Comment 2 Sandro Mathys 2012-09-06 07:15:58 EDT
Created attachment 610263 [details]
File: maps
Comment 3 Sandro Mathys 2012-09-06 07:16:00 EDT
Created attachment 610264 [details]
File: backtrace
Comment 4 Nils Philippsen 2012-11-06 11:42:16 EST
Sorry for taking so long. Can you reproduce this with current versions of gtk2 and gimp (which has been updated since) and describe what you did before it crashed? Thanks!
Comment 5 Fedora End Of Life 2013-07-03 21:26:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:49:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.